Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 2.3SynchronousAuth Required

ChangeSNSTopicState

ChangeSNSTopicState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • changesnstopicstateObjectRequired

    changesnstopicstate request body object.

    • stateEventStringRequired

      The state event.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySNSTopicInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      The state.

    • lastOpDateTimestampRequired

      The last operation date.

    • createDateTimestampRequired

      The creation date.

Endpoint

PUT/zstack/v1/zwatch/topics/{uuid}/actions

/zstack/v1/zwatch/topics/{uuid}/actions

Operation ID

ChangeSNSTopicState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zwatch/topics/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changesnstopicstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "54a92ecb4ed346e0b1af4747b65d01a7", "name": "new name", "state": "Enabled", "locale": "zh_CN", "createDate": "Dec 25, 2023 2:08:19 PM", "lastOpDate": "Dec 25, 2023 2:08:19 PM" } }

Change History

This API has no change history records yet.

View all change history